]> git.draconx.ca Git - cdecl99.git/blobdiff - bootstrap
Allow bootstrap tools to be overridden via environment variables.
[cdecl99.git] / bootstrap
index f0e1d0de877ae8adb86bc4a7088fbc04e528cfc9..94d0bc859e2739fe6fc495c9ff1214ba5c54dbf4 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -3,11 +3,17 @@
 trap 'exit 1' USR1
 die() { printf '%s\n' "$@" 1>&2; kill -USR1 $$; }
 
-git submodule update --init || echo "Failed to update Gnulib sources from git."
-if test -x ./gnulib/gnulib-tool; then
-       ./gnulib/gnulib-tool --update -S || die "Failed to update Gnulib."
+: ${AUTORECONF=autoreconf}
+: ${GNULIB=gnulib}
+: ${GIT=git}
+
+$GIT submodule update --init \
+       || echo "Failed to update Gnulib sources from git."
+
+if test -x $GNULIB/gnulib-tool; then
+       $GNULIB/gnulib-tool --update -S || die "Failed to update Gnulib."
 else
        die "Gnulib sources are not properly installed in gnulib/."
 fi
 
-autoreconf -fis
+$AUTORECONF -fis